Name:           ezstream
Version:        0.6.0
Release:        2%{?dist}
Summary:        Command line source client for Icecast media streaming servers
Group:          Applications/Multimedia
## Not installed files:
# INSTALL:                  FSFUL
# examples/Makefile.in:     FSFULLR
# build-aux/config.rpath:   FSFULLR
# build-aux/config.guess:   GPLv2+ with Autoconf exception
# build-aux/install-sh:     MIT and Public Domain
# m4/tree.m4:               MIT
# win32/tfile.cpp:          LGPLv2
# win32/shout/shout.h:      LGPLv2+
# compat/sys/tree.3:        BSD
# compat/sys/tree.h:        BSD (not used if --enable-debug is not specified)
## Installed files:
# doc/ezstream-file.sh.1*:  MIT
# doc/ezstream.1*:          GPLv2
# COPYING:                  GPLv2
# src/metadata.c:           MIT
# src/configfile.c:         GPLv2
# src/ezstream.c:           GPLv2
# src/getopt.c:             MIT and BSD
License:        GPLv2 and BSD and MIT
URL:            http://www.icecast.org/%{name}/
Source0:        http://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz
# Fix a crash on configuration without format, bug #1244481,
# <https://trac.xiph.org/ticket/2208>
Patch0:         ezstream-0.6.0-Check-for-undefined-stream-format.patch
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libxml-2.0) >= 2
BuildRequires:  pkgconfig(shout) >= 2.2
BuildRequires:  pkgconfig(taglib_c) >= 1.4

%description
Ezstream is a command line source client for Icecast media streaming servers.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many
more formats understood by TagLib library.

%prep
%setup -q
%patch0 -p1
mkdir __examples
cp -a examples __examples/examples
rm -f __examples/examples/Makefile*
chmod a-x __examples/examples/*

%build
%configure \
    --disable-debug
# --with-taglib actually inhibits the taglib support

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir} $RPM_BUILD_ROOT%{_datadir}/examples

%files
%license COPYING
%doc NEWS README __examples/examples
%{_bindir}/ezstream
%{_bindir}/ezstream-file.sh
%{_mandir}/man1/ezstream.1.gz
%{_mandir}/man1/ezstream-file.sh.1.gz

%changelog
* Tue Jul 21 2015 Petr Pisar <ppisar@redhat.com> - 0.6.0-2
- Fix a crash on configuration without format (bug #1244481)
- Build-require gcc instead of glibc-headers (bug #1230472)

* Tue Mar 24 2015 Petr Pisar <ppisar@redhat.com> - 0.6.0-1
- Modernize spec file
- Correct dependencies
- Correct license tag from (GPLv2) to (GPLv2 and BSD and MIT)
- 0.6.0 bump (fixes a security bug when processing metadata placeholders
  leading to arbitrary shell command execution)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 0.5.6-1
- 0.5.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Ian Weller <ianweller@gmail.com> 0.5.3-2
- Remove doc declaration from the man page
- Move examples into examples/ within the docdir
- Remove need for patch and put commands in the right parts

* Sat Apr 05 2008 Ian Weller <ianweller@gmail.com> 0.5.3-1
- Initial package build.
